List available slots for a booking intent
Returns time slots available for this booking intent's configuration via a public interface (no authentication required). Only slots from publicly-visible schedules are returned.
Authorization
authorization In: header
Path Parameters
Booking Intent ID
Query Parameters
Start of time range (ISO date format). Defaults to today in time_zone when supplied, otherwise today in UTC.
dateEnd of time range (ISO date format). Either until or limit must be provided.
dateMaximum number of available slots to return. Either limit or until must be provided.
1 <= valueIANA time zone for the slots. Slot times are formatted in this zone (Etc/UTC when omitted). When supplied, from and until are interpreted as calendar dates in this zone; when omitted, they are interpreted in the service's time zone.
"Etc/UTC"Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/public/booking_intents/string/slots"{ "data": [ { "end_at": "2025-03-10T10:00:00Z", "end_at_ts": 1741600800, "object": "slot", "start_at": "2025-03-10T09:00:00Z", "start_at_ts": 1741597200, "time_zone": "Etc/UTC" } ]}